mysqli::ping
mysqli::prepare
MySQLi
PHP Manual

# mysqli::poll

# mysqli_poll

(PHP 5 >= 5.3.0)

mysqli::poll -- mysqli_poll — Poll connections

### Description

public int mysqli::poll ( array `&$read` , array `&$error` , array `&$reject` , int `$sec` [, int `$usec` ] )
int mysqli_poll ( array `&$read` , array `&$error` , array `&$reject` , int `$sec` [, int `$usec` ] )
Warning

This function is currently not documented; only its argument list is available.

Poll connections. Available only with mysqlnd.

### Parameters

`read`

`error`

`reject`

`sec`

  Number of seconds to wait, must be non-negative.

`usec`

  Number of microseconds to wait, must be non-negative.

### Return Values

Returns number of ready connections in success, `FALSE` otherwise.

### Examples

Example #1 A mysqli_poll() example

`<?php
$link1 = mysqli_connect();
$link1->query("SELECT 'test'", MYSQLI_ASYNC);
$all_links = array($link1);
$processed = 0;
do {
$links = $errors = $reject = array();
foreach ($all_links as $link) {
$links[] = $errors[] = $reject[] = $link;
}
if (!mysqli_poll($links, $errors, $reject, 1)) {
continue;
}
foreach ($links as $link) {
if ($result = $link->reap_async_query()) {
print_r($result->fetch_row());
mysqli_free_result($result);
$processed++;
}
}
} while ($processed < count($all_links));
?>`

The above example will output:

    Array
    (
        [0] => test
    )

### See Also

mysqli::ping
mysqli::prepare
MySQLi
PHP Manual